libosmo-sigtran: tcap_trans_track_entry Struct Reference

libosmo-sigtran 2.2.1.95-893c Osmocom SIGTRAN library

Data Fields
tcap_trans_track_entry Struct Reference

`#include <tcap_trans_tracking.h>`

## Data Fields
struct tcap_trans_track_tid_entry | peer_tid
struct tcap_trans_track_tid_entry | own_tid
struct osmo_sccp_addr * | own_addr
struct osmo_sccp_addr * | peer_addr
time_t | tstamp
struct osmo_ss7_asp * | asp

## Field Documentation

## ◆ asp

struct osmo_ss7_asp* tcap_trans_track_entry::asp

Referenced by tcap_trans_track_begin(), tcap_trans_track_continue(), tcap_trans_track_end(), tcap_trans_track_entries_free_all(), tcap_trans_track_entries_free_by_asp(), tcap_trans_track_entry_create(), and tcap_trans_track_garbage_collect().

## ◆ own_addr

struct osmo_sccp_addr* tcap_trans_track_entry::own_addr

Referenced by tcap_trans_track_begin(), tcap_trans_track_continue(), tcap_trans_track_end(), tcap_trans_track_entry_create(), and tcap_trans_track_entry_find().

## ◆ own_tid

struct tcap_trans_track_tid_entry tcap_trans_track_entry::own_tid

Referenced by tcap_trans_track_begin(), tcap_trans_track_continue(), tcap_trans_track_end(), tcap_trans_track_entries_free_all(), tcap_trans_track_entries_free_by_asp(), tcap_trans_track_entry_create(), tcap_trans_track_entry_find(), tcap_trans_track_entry_free(), and tcap_trans_track_garbage_collect().

## ◆ peer_addr

struct osmo_sccp_addr* tcap_trans_track_entry::peer_addr

Referenced by tcap_trans_track_begin(), tcap_trans_track_continue(), tcap_trans_track_end(), tcap_trans_track_entry_create(), and tcap_trans_track_entry_find().

## ◆ peer_tid

struct tcap_trans_track_tid_entry tcap_trans_track_entry::peer_tid

Referenced by tcap_trans_track_begin(), tcap_trans_track_continue(), tcap_trans_track_end(), tcap_trans_track_entries_free_all(), tcap_trans_track_entries_free_by_asp(), tcap_trans_track_entry_create(), tcap_trans_track_entry_find(), tcap_trans_track_entry_free(), and tcap_trans_track_garbage_collect().

## ◆ tstamp

time_t tcap_trans_track_entry::tstamp

Referenced by entry_update_tstamp(), and tcap_trans_track_garbage_collect().

The documentation for this struct was generated from the following file:

- src/tcap_trans_tracking.h